from PyQt5.QtWidgets import QLabel, QPushButton

from users.card import UsersCardWidget
from users.finger import UsersFingerWidget

from users.user_window_default import UserWindowDefaultWidget


class UsersMenuWidget(UserWindowDefaultWidget):
    def __init__(self, parent=None):
        super().__init__(parent)

        def make_btn(x_of_btn, name, text):
            btn = QPushButton(None, self)
            btn.setGeometry(x_of_btn, 163, 80, 80)
            btn.setObjectName(name)

            lbl = QLabel(text, self)
            lbl.setGeometry(x_of_btn+40-100, 260, 200, 90)  # +80/2 - 200/2
            lbl.setObjectName('button_label')
            return btn

        make_btn(188, 'button_card', _("Добавить/Удалить<br>карты"))\
            .clicked.connect(UsersCardWidget(self).show)
        make_btn(531, 'button_finger', _("Добавить/Удалить<br>отпечатки"))\
            .clicked.connect(UsersFingerWidget(self).show)
